Skip to product information
1 of 1

Yamato Scientific

Yamato RFC501 Lab Freezer / Refrigerator Combi 4°C(R), -20°C(F), Auto Defrost, 9.1 cu.ft. (R) 9.1 cu.ft. (F)

Yamato RFC501 Lab Freezer / Refrigerator Combi 4°C(R), -20°C(F), Auto Defrost, 9.1 cu.ft. (R) 9.1 cu.ft. (F)

Regular price $21,670.00
Regular price Sale price $21,670.00
Sale Sold out
Shipping calculated at checkout.
View full product details

Why order the RFC501 from LabSupplies.com

Authorized Yamato Scientific dealerGenuine new Yamato equipment and parts, listed by Yamato part number.
1-year Yamato warrantyYamato Scientific America's published warranty, from shipment. Valid only through authorized dealers.
Ships from US inventoryShipped to your lab from US inventory.
Yamato-certified serviceCalibration and preventive maintenance on site or at Yamato's California service center.
Capacity9.1 cu.ft.
Power115V

Lab Freezer / Refrigerator Combi 4°C(R), -20°C(F), Auto Defrost, 9.1 cu.ft. (R) 9.1 cu.ft. (F) Overview

The Lab Freezer / Refrigerator Combi 4°C(R), -20°C(F), Auto Defrost, 9.1 cu.ft. (R) 9.1 cu.ft. (F) (model RFC501) is a Yamato Scientific laboratory combination unit pairing a 9.1 cu.ft. refrigerator with a 9.1 cu.ft. freezer in one upright cabinet. Each chamber runs independently, holding 2°C to 8°C on the refrigerator side and 0°C to -25°C on the freezer side.

Key Features

  • Independent alarms: hi/low temperature alarms with audible and visual warning plus dry alarm-relay contacts for remote monitoring.
  • Automatic defrost: both refrigerator and freezer chambers defrost automatically.
  • Secured storage: two solid locking doors and two epoxy-coated shelves per compartment.
  • Dedicated cooling: separate 1/4 hp refrigerator and 1/3 hp freezer compressors with fin-and-tube evaporator and polyurethane insulation.
  • Lab-ready build: UL listed cabinet on four locking legs, with optional chart recorder and seismic restraints.

How to Choose the Right Lab Fridge/Freezer Combo

  • Capacity: confirm each chamber holds your inventory; RFC501 offers 9.1 cu.ft. refrigerated and 9.1 cu.ft. frozen.
  • Temperature range: verify the refrigerator (2°C to 8°C) and freezer (0°C to -25°C) zones cover your sample and reagent requirements.
  • Voltage and power: check circuit availability; this unit needs 115V, 60 Hz with a NEMA 5-15 outlet for each chamber.
  • Footprint and access: measure your space against the 81.5-inch cabinet height and plan for door clearance and locking-caster movement.

Specifications

Specification Detail
Capacity 9.1 cu.ft.
Voltage 115V
Defrost Automatic
Refrigerator Temperature Range 2°C to 8°C / 36°F to 46°F
Freezer Temperature Range 0°C to -25°C / +32°F to -13°F
Door Two solid, locking
Shelves 2 per compartment, epoxy-coated
Compressor 1/4 hp (refrigerator), 1/3 hp (freezer)
Interior / Exterior Finish White coated steel
Refrigerator Interior Dimensions 28" × 28" × 20"
Freezer Interior Dimensions 28" × 28" × 20"
Exterior Dimensions 27.5" × 34" × 81.5" (70 × 86 × 207 cm)
Temperature Control Two independent digital displays
Temperature Alarm Hi/Low temperature, audible and visual; alarm relay dry contacts
Evaporator Fin and tube
Refrigerator Defrost Automatic
Freezer Defrost Automatic
Insulation Polyurethane
Legs Four locking
Power Supply 115V, 60 Hz, 1-phase; NEMA 5-15 plug (one per chamber)
Certification UL listed
Optional Accessories Chart recorder; leg and wall seismic restraints
Country of Origin USA
Material Interior Finish Stainless Steel Exterior Finish Stainless Steel
GTIN (Barcode) 797059930272
Shipping Weight 450 lbs
Shipping Dimensions (L × W × H) 46 × 43 × 86 in
Component Size 20 CF
Other Certification UL Listed
Warranty 1 year (Yamato Scientific America)
Service Calibration and preventive maintenance on site by Yamato-certified technicians or at Yamato's California service center
Weight 550 lbs.

Compare RFC Series Models

Model Capacity Exterior Shipping weight
RFC501 (this model) 9.1 cu.ft. 27.5" × 34" × 81.5" (70 × 86 × 207 cm) 450 lbs
RFC1301 23.1 cu.ft. 52" × 34.75" × 81.5" (132 × 88 × 207 cm) 625 lbs
RFC2001 46.6 cu.ft. 78" × 34.75" × 81.5" (198 × 88 × 207 cm) 1140 lbs

Ordering Information

Catalog number GTIN / UPC
RFC-501 797059930272
Manufacturer Yamato Scientific
Manufacturer part number RFC-501
UNSPSC 41103000 — LABORATORY REFRIGERATOR/FREEZER COMBINATION
HTS code 8418.69.0180
Export classification (ECCN) EAR99

Documents & Downloads

More in This Series

View all Lab Refrigerator/Freezer Combinations →

Frequently Asked Questions

What temperature ranges do the refrigerator and freezer hold?

The refrigerator chamber holds 2°C to 8°C (36°F to 46°F) and the freezer chamber holds 0°C to -25°C (+32°F to -13°F). Each zone is controlled independently by its own digital display.

What is the storage capacity of the RFC501?

RFC501 provides 9.1 cu.ft. of refrigerated storage and 9.1 cu.ft. of frozen storage. Each compartment includes two epoxy-coated shelves and a solid locking door.

What power supply does this unit require?

RFC501 runs on 115V, 60 Hz single-phase power. Each chamber uses its own NEMA 5-15 plug, so plan for two standard outlets. The unit is UL listed.

What is the UNSPSC code for the Yamato RFC501?

The Yamato RFC501 is classified under UNSPSC 41103000 (LABORATORY REFRIGERATOR/FREEZER COMBINATION).

Where is the Yamato RFC501 manufactured?

Yamato Scientific lists China as the country of origin for the RFC501.

How does the Yamato RFC501 compare with the other RFC Series models?

Yamato builds this RFC Series line in 3 sizes: 9.1 cu.ft. (RFC501), 23.1 cu.ft. (RFC1301) and 46.6 cu.ft. (RFC2001). The comparison table on this page lists capacity, exterior and shipping weight side by side.

What certifications does the Yamato RFC501 carry?

Yamato lists the RFC501 as UL Listed.

What optional accessories are available for the Yamato RFC501?

Yamato offers these options for the RFC501: chart recorder; leg and wall seismic restraints.

What are the shipping dimensions and weight of the Yamato RFC501?

Yamato's shipping data lists the RFC501 at 46 × 43 × 86 in and 450 lb packed.